public class CreateProject extends Endpoint<Project,CreateProject.CreateProjectRequest>
| Modifier and Type | Class and Description |
|---|---|
static class |
CreateProject.CreateProjectRequest
Represents the request to create a project.
|
static class |
CreateProject.ProjectData
Represents the data for a project.
|
| Constructor and Description |
|---|
CreateProject(HttpClient client,
com.google.gson.Gson gson)
Creates a new instance of the endpoint.
|
| Modifier and Type | Method and Description |
|---|---|
String |
getEndpoint()
Returns the endpoint.
|
String |
getMethod()
Returns the method.
|
com.google.gson.reflect.TypeToken<CreateProject.CreateProjectRequest> |
getRequestClass()
Returns the request class.
|
com.google.gson.reflect.TypeToken<Project> |
getResponseClass()
Returns the response class.
|
CompletableFuture<Project> |
sendRequest(CreateProject.CreateProjectRequest parameters,
Map<String,String> urlParams)
Sends the request.
|
checkBodyForErrors, executeRequest, getReplacedUrl, isJsonBody, readFile, readStream, requiresBody, sendRequestpublic CreateProject(HttpClient client, com.google.gson.Gson gson)
client - The client to use.gson - The gson instance to use.public String getEndpoint()
getEndpoint in class Endpoint<Project,CreateProject.CreateProjectRequest>public String getMethod()
getMethod in class Endpoint<Project,CreateProject.CreateProjectRequest>public com.google.gson.reflect.TypeToken<CreateProject.CreateProjectRequest> getRequestClass()
getRequestClass in class Endpoint<Project,CreateProject.CreateProjectRequest>TypeToken for the response.public com.google.gson.reflect.TypeToken<Project> getResponseClass()
getResponseClass in class Endpoint<Project,CreateProject.CreateProjectRequest>TypeToken for the response.public CompletableFuture<Project> sendRequest(CreateProject.CreateProjectRequest parameters, Map<String,String> urlParams)
sendRequest in class Endpoint<Project,CreateProject.CreateProjectRequest>parameters - - The request to use.urlParams - - The URL parameters to use.CompletableFuture that will return the response.Copyright © 2026. All rights reserved.